Skip to main content
GET
/
v1
/
test-executions
List Test Executions
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/test-executions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/test-executions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://eu1.api.matillion.com/dpc/v1/test-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "more": "<string>",
  "results": [
    {
      "environmentName": "Dev",
      "finishedAt": "2023-11-07T05:31:56Z",
      "message": "\"Rewrite Table\": Success",
      "projectId": "4a8a6162-702b-4efc-b2ec-c986e0bc95e4",
      "scheduleId": "9e2a6b04-ddd7-4bb4-b7dc-56e3b6f3ed43",
      "startedAt": "2023-11-07T05:31:56Z",
      "status": "RUNNING",
      "testExecutionId": "fd05a6c4-b3e1-4441-86a2-044d5092731d",
      "testName": "My Test",
      "trigger": "SCHEDULE",
      "user": "A User"
    }
  ]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

projectId
string

Filter results to test executions belonging to this project.

paginationToken
string

Token to fetch the next batch of results for a previous query.

limit
integer<int32>
default:25

The maximum number of results to return (capped at 100).

testName
string

Search against test name, with case-insensitive partial matching.

environmentName
string

Filter results to test executions within this environment.

startedAfter
string<date-time>

Filter results to test executions started at or after this moment.

startedBefore
string<date-time>

Filter results to test executions started at or before this moment.

timeFrame
string

Filter results to test executions that started within this time frame, relative to now. Accepts an ISO-8601 duration string in the PnDTnHnMnS format, using days, hours, minutes and/or seconds, e.g. P1D, P7D, PT1H, PT30M, PT90S. Week, month and year units (P1W, P1M, P1Y) are not supported — use the day-based equivalents P7D, P30D and P365D instead.

status
enum<string>

Filter results to test executions which have the status of one of the provided values.

Available options:
RUNNING,
SUCCESS,
FAILED,
CANCELLING,
CANCELLED,
FORBIDDEN,
SKIPPED,
UNKNOWN

Response

Test executions returned successfully

more
string

Token for fetching the next batch of results for this query; if omitted then there are no more.

results
object[]

Results of query